Получение «файла» отличается от того же файла в системе », когда я пытаюсь обновить через синаптический

Обнаружена ошибка при обновлении через Synaptic Manager. Последующие обновления дали ошибку в нижней части вывода. Я ноб, поэтому любая помощь приветствуется.

al@al:~$ sudo apt-get -f upgrade Reading package lists... Done Building dependency tree Reading state information... Done Correcting dependencies... Done The following NEW packages will be installed: libjack-jackd2-0:i386 The following packages have been kept back: linux-headers-generic skype 0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded. Need to get 0 B/202 kB of archives. After this operation, 493 kB of additional disk space will be used. Do you want to continue [Y/n]? y (Reading database ... 310056 files and directories currently installed.) Unpacking libjack-jackd2-0:i386 (from .../libjack-jackd2-0_1.9.8~dfsg.2-1precise1_i386.deb) ... dpkg: error processing /var/cache/apt/archives/libjack-jackd2-0_1.9.8~dfsg.2-1precise1_i386.deb (--unpack): './usr/share/doc/libjack-jackd2-0/buildinfo.gz' is different from the same file on the system dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing: /var/cache/apt/archives/libjack-jackd2-0_1.9.8~dfsg.2-1precise1_i386.deb E: Sub-process /usr/bin/dpkg returned an error code (1) 

Конкретный ответ

Попробуйте эти команды в терминале:

 sudo dpkg -r libjack-jackd2-0 sudo apt-get -f install sudo apt-get update sudo apt-get upgrade 

Команды удаляют повреждающий файл, пытаются исправить поврежденную зависимость и обновляют вашу систему.


Общий ответ

Во время обработки были обнаружены ошибки:
/ var / cache / apt / archives / libjack-jackd2-0 _1.9.8 ~ dfsg.2-1precise1_i386.deb
E: Подпроцесс / usr / bin / dpkg возвращает код ошибки (1)

Если вы получаете E: Sub-process /usr/bin/dpkg returned an error code (1) ( должен быть код ошибки (1) ), вы можете попытаться исправить это, имея в виду следующее:

  • Обратите внимание на имя пакета после /var/cache/apt/archives/ . В этом случае имя файла – libjack-jackd2-0_1.9.8~dfsg.2-1precise1_i386.deb , поэтому имя пакета – libjack-jackd2-0 ( libjack-jackd2-0 берём имя файла до первого «_»). Имея это в виду, просто запустите следующие команды:

     sudo dpkg -r libjack-jackd2-0 sudo apt-get -f install sudo apt-get update sudo apt-get upgrade 

Да, я знаю, что на этот вопрос уже дан ответ, и ответ принят так, как принято.

Однако я знаю другое решение.

 rm /usr/share/doc/libjack-jackd2-0/buildinfo.gz 

Это разрешило бы конфликт, и dpkg -i /path/to/deb/file.deb будет успешно запущен.